Qt Reference Documentation

# QSupportedWritingSystems Class Reference

The QSupportedWritingSystems class is used when registering fonts with the internal Qt fontdatabase More...

     #include <QSupportedWritingSystems>

This class was introduced in Qt 4.8.

- List of all members, including inherited members

## Public Functions

| QSupportedWritingSystems ()
| QSupportedWritingSystems ( const QSupportedWritingSystems & other )
| ~QSupportedWritingSystems ()
void | setSupported ( QFontDatabase::WritingSystem writingSystem, bool support = true )
bool | supported ( QFontDatabase::WritingSystem writingSystem ) const
QSupportedWritingSystems & | operator= ( const QSupportedWritingSystems & other )

## Detailed Description

The QSupportedWritingSystems class is used when registering fonts with the internal Qt fontdatabase

Its to provide an easy to use interface for indicating what writing systems a specific font supports.

## Member Function Documentation

### QSupportedWritingSystems::QSupportedWritingSystems ()

### QSupportedWritingSystems::QSupportedWritingSystems ( const QSupportedWritingSystems & other )

### QSupportedWritingSystems::~QSupportedWritingSystems ()

Destroys the object.

### void QSupportedWritingSystems::setSupported ( QFontDatabase::WritingSystem writingSystem, bool support = true )

Sets the supported state of the writing system given by writingSystem to the value specified by support. A value of true indicates that the writing system is supported; a value of false indicates that it is unsupported.

See also supported().

### bool QSupportedWritingSystems::supported ( QFontDatabase::WritingSystem writingSystem ) const

Returns true if the writing system given by writingSystem is supported; otherwise returns false.

See also setSupported().

### QSupportedWritingSystems & QSupportedWritingSystems::operator= ( const QSupportedWritingSystems & other )

Assigns the other supported writing systems object to this object.